/*****************************(abc901-18325.c)***
 *      I2CǂݏCu[eXg
 *************************************************/

#include "mcc_generated_files/mcc.h"
#include "myProject.h"
#include "i2cEEPROM.h"

//#define VBA

char RBuf[BFSIZE];                      // VAMobt@[
uint8_t SFlg;                           // VAMtO

//---- ^[~iɃvvg\
void prtPrompt(uint8_t m){
    if(m)  printf("# ");                // A[h
    else   printf("$ ");                // ʏ폑[h
}

/*=============================================
 *      Main application
 *============================================*/
void main(void)
{
    char cmd;                           // R}h
 
    SYSTEM_Initialize();
    LCD_init();
    
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    puts("ready!\r");
    LCD_str("Ready!");
    #ifndef VBA
        prtPrompt(i2cRom_SqMode());
    #endif
        
    while (1)
    {
        if(SFlg){
            LCD_clr(); LCD_str(RBuf);   // LCDɃR}h\
            cmd = RBuf[0];              // R}h͑1
            printf("\n\r");
            switch(cmd) {               // eR}h̎s
                case 'W': i2cRom_cmd_W(RBuf);  break;
                case 'R': i2cRom_cmd_R(RBuf);  break;
                case 'Q': i2cRom_cmd_Q(RBuf);  break;
                case 'M': i2cRom_cmd_M(RBuf);  break;
                case 'U': i2cRom_cmd_U(RBuf);  break;
                case 'S': i2cRom_cmd_W(RBuf);  break;
                case 'P': i2cRom_cmd_P(RBuf);  break;
                                        // LȃR}hȂ
                default:  if(i2cRom_SqMode()){
                            i2cRom_cmd_WSQ(RBuf);
                          }            // A[hȂ
                          break;       // V[PXs
            }
            SFlg = 0;
            #ifndef VBA
                prtPrompt(i2cRom_SqMode());
            #endif
        }
        IO_RA4_Toggle();
        __delay_ms(500);
        // Add your application code
    }
}
/****  End of File  ****/
